| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::LodInputProvider Class Referenceabstract

`#include <OgreLodInputProvider.h>`

Inheritance diagram for Ogre::LodInputProvider:
[legend]

## Public Member Functions
virtual | ~LodInputProvider ()
virtual void | initData (LodData *data)=0
| Called when the data should be filled with the input. More...

## Constructor & Destructor Documentation

## ◆ ~LodInputProvider()

virtual Ogre::LodInputProvider::~LodInputProvider | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ initData()

virtual void Ogre::LodInputProvider::initData | ( | LodData * | data | ) |
| pure virtual

Called when the data should be filled with the input.

Implemented in Ogre::LodInputProviderMesh, and Ogre::LodInputProviderBuffer.

The documentation for this class was generated from the following file:

- OgreLodInputProvider.h